"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _lodash = _interopRequireDefault(require("lodash.isequal"));

var _reactNativeGestureHandler = require("react-native-gesture-handler");

var _useTapGestureHandler = require("../../hooks/useTapGestureHandler");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ContentWrapperComponent = /*#__PURE__*/(0, _react.forwardRef)(({
  gestureState,
  maxDeltaY,
  children
}, ref) => {
  // callbacks
  const handleGestureEvent = (0, _useTapGestureHandler.useTapGestureHandler)(gestureState);
  return /*#__PURE__*/_react.default.createElement(_reactNativeGestureHandler.TapGestureHandler, {
    ref: ref,
    maxDurationMs: 1000000,
    maxDeltaY: maxDeltaY,
    shouldCancelWhenOutside: false,
    onHandlerStateChange: handleGestureEvent
  }, children);
});
const ContentWrapper = /*#__PURE__*/(0, _react.memo)(ContentWrapperComponent, _lodash.default);
var _default = ContentWrapper;
exports.default = _default;
//# sourceMappingURL=ContentWrapper.android.js.map