"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BottomSheetView = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _lodash = _interopRequireDefault(require("lodash.isequal"));

var _hooks = require("../../hooks");

var _styles = require("./styles");

var _reactNativeReanimated = require("react-native-reanimated");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const BottomSheetViewComponent = ({
  children,
  style,
  focusHook: useFocusHook = _react.useEffect
}) => {
  // hooks
  const {
    scrollableContentOffsetY
  } = (0, _hooks.useBottomSheetInternal)(); // styles

  const containerStyle = (0, _react.useMemo)(() => ({ ..._styles.styles.container,
    // @ts-ignore
    ...style
  }), [style]); // callback

  const handleSettingScrollable = (0, _react.useCallback)(() => {
    (0, _reactNativeReanimated.runOnUI)(() => {
      scrollableContentOffsetY.value = 0;
    })();
  }, [scrollableContentOffsetY]); // effects

  useFocusHook(handleSettingScrollable); //render

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: containerStyle
  }, children);
};

const BottomSheetView = /*#__PURE__*/(0, _react.memo)(BottomSheetViewComponent, _lodash.default);
exports.BottomSheetView = BottomSheetView;
//# sourceMappingURL=View.js.map