"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useScrollableAnimatedProps = void 0;

var _reactNativeReanimated = require("react-native-reanimated");

var _constants = require("../../constants");

var _useBottomSheetInternal = require("../useBottomSheetInternal");

/** @TODO this should be fixed with reanimated alpha 7 */
// @ts-ignore
const useScrollableAnimatedProps = () => {
  // hooks
  const {
    animatedPosition,
    animationState,
    scrollableDecelerationRate
  } = (0, _useBottomSheetInternal.useBottomSheetInternal)(); // variables

  const animatedProps = (0, _reactNativeReanimated.useAnimatedProps)(() => ({
    decelerationRate: scrollableDecelerationRate.value
  }), []); // effects

  (0, _reactNativeReanimated.useAnimatedReaction)(() => animatedPosition.value !== 0 || animationState.value === _constants.ANIMATION_STATE.RUNNING, shouldLimitDecelerationRate => {
    const newDecelerationRate = shouldLimitDecelerationRate ? 0 : 0.985;

    if (scrollableDecelerationRate.value !== newDecelerationRate) {
      scrollableDecelerationRate.value = newDecelerationRate;
    }
  }, []);
  return animatedProps;
};

exports.useScrollableAnimatedProps = useScrollableAnimatedProps;
//# sourceMappingURL=useScrollableAnimatedProps.android.js.map