"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTapGestureHandler = void 0;

var _reactNativeReanimated = require("react-native-reanimated");

const useTapGestureHandler = gestureState => {
  const handleGestureEvent = (0, _reactNativeReanimated.useAnimatedGestureHandler)({
    onStart: ({
      state
    }) => {
      gestureState.value = state;
    },
    onActive: ({
      state
    }) => {
      gestureState.value = state;
    },
    onCancel: ({
      state
    }) => {
      gestureState.value = state;
    },
    onEnd: ({
      state
    }) => {
      gestureState.value = state;
    },
    onFail: ({
      state
    }) => {
      gestureState.value = state;
    },
    onFinish: ({
      state
    }) => {
      gestureState.value = state;
    }
  }, []);
  return handleGestureEvent;
};

exports.useTapGestureHandler = useTapGestureHandler;
//# sourceMappingURL=useTapGestureHandler.js.map