import React, { forwardRef, memo } from 'react';
import isEqual from 'lodash.isequal';
import Animated from 'react-native-reanimated';
import { TapGestureHandler } from 'react-native-gesture-handler';
import { useTapGestureHandler } from '../../hooks/useTapGestureHandler';
import { styles } from './styles';
const ContentWrapperComponent = /*#__PURE__*/forwardRef(({
  gestureState,
  maxDeltaY,
  children
}, ref) => {
  // callbacks
  const handleGestureEvent = useTapGestureHandler(gestureState);
  return /*#__PURE__*/React.createElement(TapGestureHandler, {
    ref: ref,
    maxDurationMs: 1000000,
    maxDeltaY: maxDeltaY,
    shouldCancelWhenOutside: false,
    onHandlerStateChange: handleGestureEvent
  }, /*#__PURE__*/React.createElement(Animated.View, {
    pointerEvents: "box-none",
    style: styles.container
  }, children));
});
const ContentWrapper = /*#__PURE__*/memo(ContentWrapperComponent, isEqual);
export default ContentWrapper;
//# sourceMappingURL=ContentWrapper.ios.js.map