import React from 'react';
import Animated, { useAnimatedProps } from 'react-native-reanimated';
import { TextInput } from 'react-native-gesture-handler';
const AnimatedTextInput = Animated.createAnimatedComponent(TextInput);

const ReText = props => {
  const {
    text,
    value,
    style
  } = {
    style: {},
    ...props
  };
  const animatedProps = useAnimatedProps(() => {
    return {
      text: "".concat(text, ": ").concat(value.value.toFixed(2))
    };
  });
  return /*#__PURE__*/React.createElement(AnimatedTextInput, {
    underlineColorAndroid: "transparent",
    editable: false,
    value: "".concat(text, ": ").concat(value.value.toFixed(2)),
    style: style,
    animatedProps: animatedProps
  });
};

export default ReText;
//# sourceMappingURL=ReText.js.map