function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useMemo, useRef, memo } from 'react';
import isEqual from 'lodash.isequal';
import Animated from 'react-native-reanimated';
import { PanGestureHandler } from 'react-native-gesture-handler';
import { useBottomSheetInternal } from '../../hooks';
import { styles } from './styles';

const BottomSheetDraggableViewComponent = ({
  nativeGestureRef,
  style,
  children,
  onLayout,
  ...rest
}) => {
  // refs
  const panGestureRef = useRef(null); // hooks

  const {
    contentWrapperGestureRef,
    contentPanGestureHandler
  } = useBottomSheetInternal(); // variables

  const simultaneousHandlers = useMemo(() => nativeGestureRef ? [contentWrapperGestureRef, nativeGestureRef] : contentWrapperGestureRef, [contentWrapperGestureRef, nativeGestureRef]); // styles

  const containerStyle = useMemo(() => style ? [styles.container, style] : styles.container, [style]);
  return /*#__PURE__*/React.createElement(PanGestureHandler, {
    ref: panGestureRef,
    simultaneousHandlers: simultaneousHandlers,
    shouldCancelWhenOutside: false,
    onGestureEvent: contentPanGestureHandler
  }, /*#__PURE__*/React.createElement(Animated.View, _extends({
    style: containerStyle
  }, rest, {
    onLayout: onLayout
  }), children));
};

const BottomSheetDraggableView = /*#__PURE__*/memo(BottomSheetDraggableViewComponent, isEqual);
export { BottomSheetDraggableView };
//# sourceMappingURL=DraggableView.js.map