import React, { memo } from 'react';
import isEqual from 'lodash.isequal';
import { styles } from './styles';
import Animated from 'react-native-reanimated';

const BottomSheetHandleComponent = ({
  containerStyle,
  indicatorStyle,
  animatedContainerStyle,
  animatedIndicatorStyle
}) => {
  return /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.container, containerStyle, animatedContainerStyle],
    shouldRasterizeIOS: true
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.indicator, indicatorStyle, animatedIndicatorStyle]
  }));
};

export const BottomSheetHandle = /*#__PURE__*/memo(BottomSheetHandleComponent, isEqual);
//# sourceMappingURL=Handle.js.map