function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useRef, useImperativeHandle, useEffect, forwardRef, memo } from 'react';
import { ScrollView as RNScrollView } from 'react-native';
import isEqual from 'lodash.isequal';
import Animated from 'react-native-reanimated';
import { NativeViewGestureHandler } from 'react-native-gesture-handler';
import { BottomSheetDraggableView } from '../draggableView';
import { useScrollableInternal, useBottomSheetInternal } from '../../hooks';
import { styles } from './styles';
const AnimatedScrollView = Animated.createAnimatedComponent(RNScrollView);
const BottomSheetScrollViewName = 'ScrollView';
const BottomSheetScrollViewComponent = /*#__PURE__*/forwardRef((props, ref) => {
  // props
  const {
    focusHook: useFocusHook = useEffect,
    ...rest
  } = props; // refs

  const nativeGestureRef = useRef(null); // hooks

  const {
    scrollableRef,
    scrollableAnimatedProps,
    handleScrollEvent,
    handleSettingScrollable
  } = useScrollableInternal(BottomSheetScrollViewName);
  const {
    contentWrapperGestureRef
  } = useBottomSheetInternal(); // effects
  // @ts-ignore

  useImperativeHandle(ref, () => scrollableRef.current);
  useFocusHook(handleSettingScrollable);
  return /*#__PURE__*/React.createElement(BottomSheetDraggableView, {
    nativeGestureRef: nativeGestureRef,
    style: styles.container
  }, /*#__PURE__*/React.createElement(NativeViewGestureHandler, {
    ref: nativeGestureRef,
    waitFor: contentWrapperGestureRef
  }, /*#__PURE__*/React.createElement(AnimatedScrollView, _extends({}, rest, {
    ref: scrollableRef,
    overScrollMode: "never",
    bounces: false,
    scrollEventThrottle: 1,
    onScrollBeginDrag: handleScrollEvent
  }, scrollableAnimatedProps ? {
    animatedProps: scrollableAnimatedProps
  } : {}))));
});
const BottomSheetScrollView = /*#__PURE__*/memo(BottomSheetScrollViewComponent, isEqual);
export { BottomSheetScrollView };
//# sourceMappingURL=ScrollView.js.map