/// <reference types="react" />
import type { FlatList, ScrollView, SectionList } from 'react-native';
interface SnapPointWindow {
    relativeTo: 'window';
    percentagesOf: number;
}
interface SnapPointContent {
    relativeTo: 'content';
    percentagesOf: number;
}
export declare type SnapPoint = SnapPointWindow | SnapPointContent;
export declare type BottomSheetMethods = {
    /**
     * Snap to one of the provided points from `snapPoints`.
     * @type (index: number) => void
     */
    snapTo: (index: number) => void;
    /**
     * Snap to the maximum provided point from `snapPoints`.
     * @type () => void
     */
    expand: () => void;
    /**
     * Snap to the minimum provided point from `snapPoints`.
     * @type () => void
     */
    collapse: () => void;
    /**
     * Close the bottom sheet.
     * @type () => void
     */
    close: () => void;
};
export declare type Scrollable = FlatList | ScrollView | SectionList;
export declare type ScrollableType = 'FlatList' | 'ScrollView' | 'SectionList' | 'View';
export declare type ScrollableRef = {
    id: number;
    node: React.RefObject<Scrollable>;
    type: ScrollableType;
    didResize: boolean;
};
export {};
